Package com.logicaldoc.core.document

# Class DocumentFuture

java.lang.Object
com.logicaldoc.util.concurrent.FutureElaboration<Document,Document>
com.logicaldoc.core.document.DocumentFuture

All Implemented Interfaces:
  `Future<Document>`

public class DocumentFuture extends FutureElaboration<Document,Document>
A future used to track asynchronous elaborations on a document.

Since:
  9.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.concurrent.Future

`Future.State`

## Constructor Summary

Constructors
Constructor
Description
`DocumentFuture(Document document, Future<Document> future)`

## Method Summary

Modifier and Type
Method
Description
`Document`
`getDocument()`

### Methods inherited from class com.logicaldoc.util.concurrent.FutureElaboration

`cancel, get, get, getObject, isCancelled, isDone`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.Future

`exceptionNow, resultNow, state`

## Constructor Details

### DocumentFuture

public DocumentFuture(Document document, Future<Document> future)

## Method Details

### getDocument

public Document getDocument()